## NAME

v.mkgrid - Creates a (binary) GRASS vector map of a user-defined grid.
(GRASS Vector Program)

## SYNOPSIS

v.mkgrid
v.mkgrid help
v.mkgrid map=name grid=rows,columns coordinate=x,y box=length,width [angle=degree] [type=const|rows|cols] [value=constant value]

## DESCRIPTION

v.mkgrid will create a binary format, vector map representation of a regular coordinate grid.

### Flags:

-q
  Quiet. Cut out the chatter.

### Parameters:

map=name
  Name to be assigned to binary vector map layer output.
grid=rows,columns
  Number of ROWS and COLUMNS to appear in grid.
coordinate=x,y
  Lower left EASTING and NORTHING coordinates of vector map layer output.
box=length,width
  LENGTH and WIDTH of boxes in grid.
[angle=degree]
  optional rotate grid counter-clockwise about the origin (coordinate).
[type=const|rows|cols ]
  Option to add attributes to the grid. Area points are in the centre of the respective cells. const creates attributes of the same value in each cell (the value is 1 by default, but may be chosen with the value option. The other options number the cells in sequence. rows numbers the rows in turn, cols numbers the columns in turn. If the grid is rotated, numbering is relative to the pre-rotated position.
[value=constant value]
  This option determines the constant value of the cell attributes if the type=const option is chosen, otherwise it is ignored if supplied.

If the user simply types v.mkgrid on the command line without specifying parameter values, the program will prompt the user for inputs using the standard interface described in the manual entry for parser.

## NOTES

The new binary vector map output is placed under the dig directory in the user's current mapset, and can be used like any vector map layer. Run v.support to build the topology information for the vector map before using v.mkgrid map layer outputs in the v.digit program.

It may be advisable to use a small snap distance with v.support to make sure the grid lines snap correctly along the edges.

Since the grid is computer-generated, the corner coordinates will be exact and can be used when patching together several v.mkgrid grids.

This is NOT to be used to generate a vector map of USGS quadrangles, because USGS quads are not exact rectangles. To generate a vector map of USGS quads, use the program v.mkquads.

The program ignores the current GRASS geographic region settings. It will create the complete grid even if part of this grid falls outside the current geographic region.

Rotating the grid should not usually be necessary under normal usage, but this option is available. This can also be used with attribute options.

## SEE ALSO

v.digit, v.mkquads, v.patch, v.support and parser

## AUTHOR

Michael Higgins, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:35 $